Bug 129166 - execve() line even with -c
Summary: execve() line even with -c
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-04 17:44 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 4.5.7-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 06:56:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the problem (371 bytes, patch)
2004-08-04 17:47 UTC, Ulrich Drepper
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:131 normal SHIPPED_LIVE strace bug fix update 2005-05-19 04:00:00 UTC

Description Ulrich Drepper 2004-08-04 17:44:24 UTC
Description of problem:
When -c is used the individual syscalls are not shown, only a summary.
 The one exception is the initial, faked execve call.  This should be
avoided.

Version-Release number of selected component (if applicable):
strace-4.5.6-1

How reproducible:
always

Steps to Reproduce:
1.strace -c /bin/echo -n
2.
3.
  
Actual results:
execve("/bin/echo", ["/bin/echo", "-n"], [/* 31 vars */]) = 0
...

Expected results:

No execve line
Additional info:

I'll attach a patch.

Comment 1 Ulrich Drepper 2004-08-04 17:47:05 UTC
Created attachment 102429 [details]
patch to fix the problem

Comment 2 Roland McGrath 2004-08-31 06:52:45 UTC
Patch in upstream.

Comment 3 Roland McGrath 2004-09-01 01:59:51 UTC
4.5.7-2 is in rawhide.  I'll make an FC2 update release in a few days.

Comment 4 Tim Powers 2005-05-19 21:09:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-131.html



Note You need to log in before you can comment on or make changes to this bug.